implicit real*8(a-h,o-z)
         dimension x(10000),y(10000),z(10000)
b=0.06
ell=1.
h=0.06
nx=10.
nz=100.
ny=10.
! 1要素のx,y,z方向の長さ：xn,yn,zn
         xn=b/nx
         zn=ell/nz
         yn=h/ny        
!
print*, '3DG2'
!
print*, (nx+1)*(nz+1)+(nz+1)*ny
! フランジ部分の節点番号ごとの節点座標
! 節点番号：nset
           nset=0
        do k=0,nz
        do i=0,nx
           nset=nset+1
           x(nset)=xn*i
           y(nset)=0.d0
           z(nset)=zn*k
        print*, x(nset),',',y(nset),',',z(nset)
         end do
         end do
! フランジ部分接着部分以外の節点の座標位置
do i=1,ny
do j=0,nz
nset=nset+1
x(nset)=b
y(nset)=yn*i
z(nset)=zn*j
 print*, x(nset),',',y(nset),',',z(nset)
end do
end do
! 要素番号とその要素の8節点の節点番号(フランジ部分)
         nyou=0
        do k=1,nz
        do i=1,nx
         nyou=nyou+1
         n1=(nx+1)*(k-1)+i
         n2=n1+1
         n3=n1+(nx+1)
         n4=n3+1
print*, 4,',',n1-1,',',n2-1,',',n4-1,',',n3-1,',','0xcccccc'
         end do
         end do
! 要素番号とその要素の8節点の節点番号(ウェブとフランジ接触部分)
do k=1,nz
nyou=nyou+1
n1=((nx+1)*(nz+1))+k
n2=n1+1
n3=(nx+1)*k
n4=n3+(nx+1)
print*, 4,',',n1-1,',',n2-1,',',n4-1,',',n3-1,',','0xcccccc'
end do
! 要素番号とその節点の8節点の節点番号(ウェブ独立部分)
do k=1,nz
do j=1,ny-1
nyou=nyou+1
n1=(nx+1)*(nz+1)+(nz+1)*j+k
n2=n1+1
n3=n1-(nz+1)
n4=n3+1
print*, 4,',',n1-1,',',n2-1,',',n4-1,',',n3-1,',','0xcccccc'
end do
end do 
write(*,'("#")')
end
